Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.uima
Class UIMA_IllegalArgumentException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.uima.InternationalizedRuntimeException
                      org.apache.uima.UIMARuntimeException
                          org.apache.uima.UIMA_IllegalArgumentException

All Implemented Interfaces:
  Serializable

    public class UIMA_IllegalArgumentException

extends UIMARuntimeException

Thrown to indicate that a method has been passed an illegal or inappropriate argument.

See Also:
  Serialized Form

Field Summary
`static String` | `ILLEGAL_ARGUMENT` Message key for a standard UIMA exception message: "Value "{0}" is not valid for argument "{1}" of method {2}."
`static String` | `METADATA_ATTRIBUTE_TYPE_MISMATCH` Message key for a standard UIMA exception message: "The value {0} does not match the data type of metadata attribute {1}."
`static String` | `MUST_IMPLEMENT_XMLIZABLE` Message key for a standard UIMA exception message: "An attempt was made to register class {0} with the XML parser.

Fields inherited from class org.apache.uima.UIMARuntimeException
`CAS_RELEASED_TO_WRONG_CAS_MANAGER, DEFINE_CAS_POOL_CALLED_TWICE, ECORE_UNRESOLVED_PROXY, FEATURE_NOT_FOUND_DURING_CAS_COPY, INCOMPATIBLE_TAF_JNI_LIBRARY, REQUESTED_TOO_MANY_CAS_INSTANCES, STANDARD_MESSAGE_CATALOG, TYPE_NOT_FOUND_DURING_CAS_COPY, UIMA_ECORE_NOT_FOUND, UNSUPPORTED_CAS_INTERFACE`

Constructor Summary
`UIMA_IllegalArgumentException()` Creates a new exception with a null message.
`UIMA_IllegalArgumentException(String aMessageKey, Object[] aArguments)` Creates a new exception with a message from the `UIMARuntimeException.STANDARD_MESSAGE_CATALOG`.
`UIMA_IllegalArgumentException(String aMessageKey, Object[] aArguments, Throwable aCause)` Creates a new exception with the specified cause and a message from the `UIMARuntimeException.STANDARD_MESSAGE_CATALOG`.
`UIMA_IllegalArgumentException(String aResourceBundleName, String aMessageKey, Object[] aArguments)` Creates a new exception with a the specified message.
`UIMA_IllegalArgumentException(String aResourceBundleName, String aMessageKey, Object[] aArguments, Throwable aCause)` Creates a new exception with the specified message and cause.
`UIMA_IllegalArgumentException(Throwable aCause)` Creates a new exception with the specified cause and a null message.

Method Summary

Methods inherited from class org.apache.uima.InternationalizedRuntimeException
`getArguments, getCause, getLocalizedMessage, getLocalizedMessage, getMessage, getMessageKey, getResourceBundleName, initCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getStackTrace, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ILLEGAL_ARGUMENT

    public static final String ILLEGAL_ARGUMENT

  Message key for a standard UIMA exception message: "Value "{0}" is not valid for argument "{1}" of method {2}."

  See Also:
    Constant Field Values

### METADATA_ATTRIBUTE_TYPE_MISMATCH

    public static final String METADATA_ATTRIBUTE_TYPE_MISMATCH

  Message key for a standard UIMA exception message: "The value {0} does not match the data type of metadata attribute {1}."

  See Also:
    Constant Field Values

### MUST_IMPLEMENT_XMLIZABLE

    public static final String MUST_IMPLEMENT_XMLIZABLE

  Message key for a standard UIMA exception message: "An attempt was made to register class {0} with the XML parser. This class does not implement the XMLizable interface."

  See Also:
    Constant Field Values

Constructor Detail

### UIMA_IllegalArgumentException

    public UIMA_IllegalArgumentException()

  Creates a new exception with a null message.

### UIMA_IllegalArgumentException

    public UIMA_IllegalArgumentException(Throwable aCause)

  Creates a new exception with the specified cause and a null message.

  Parameters:
    `aCause` - the original exception that caused this exception to be thrown, if any

### UIMA_IllegalArgumentException

    public UIMA_IllegalArgumentException(String aResourceBundleName,
                                         String aMessageKey,
                                         Object[] aArguments)

  Creates a new exception with a the specified message.

  Parameters:
    `aResourceBundleName` - the base name of the resource bundle in which the message for this exception is located.
    `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
    `aArguments` - The arguments to the message. `null` may be used if the message has no arguments.

### UIMA_IllegalArgumentException

    public UIMA_IllegalArgumentException(String aResourceBundleName,
                                         String aMessageKey,
                                         Object[] aArguments,
                                         Throwable aCause)

  Creates a new exception with the specified message and cause.

  Parameters:
    `aResourceBundleName` - the base name of the resource bundle in which the message for this exception is located.
    `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
    `aArguments` - The arguments to the message. `null` may be used if the message has no arguments.
    `aCause` - the original exception that caused this exception to be thrown, if any

### UIMA_IllegalArgumentException

    public UIMA_IllegalArgumentException(String aMessageKey,
                                         Object[] aArguments)

  Creates a new exception with a message from the `UIMARuntimeException.STANDARD_MESSAGE_CATALOG`.

  Parameters:
    `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
    `aArguments` - The arguments to the message. `null` may be used if the message has no arguments.

### UIMA_IllegalArgumentException

    public UIMA_IllegalArgumentException(String aMessageKey,
                                         Object[] aArguments,
                                         Throwable aCause)

  Creates a new exception with the specified cause and a message from the `UIMARuntimeException.STANDARD_MESSAGE_CATALOG`.

  Parameters:
    `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
    `aArguments` - The arguments to the message. `null` may be used if the message has no arguments.
    `aCause` - the original exception that caused this exception to be thrown, if any

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 The Apache Software Foundation. All Rights Reserved.